Bug 127877 - cman_tool kill: Segmentation Fault
cman_tool kill: Segmentation Fault
Status: CLOSED CURRENTRELEASE
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: gfs (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christine Caulfield
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-14 17:04 EDT by Derek Anderson
Modified: 2010-01-11 21:54 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-26 15:39:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Derek Anderson 2004-07-14 17:04:27 EDT
Description of problem:
Set up a three node cluster to the point of having cman quorum.  On
one node run 'cman_tool kill'.  The tool segfaults.  It also looks
from /proc/cluster/nodes that the cluster remains in.

[root@link-12 root]# cat /proc/cluster/nodes
Node  Votes Exp Sts  Name
   1    1    3   M   link-12.lab.msp.redhat.com
   2    1    3   M   link-10.lab.msp.redhat.com
   3    1    3   M   link-11.lab.msp.redhat.com
[root@link-12 root]# cman_tool kill
Segmentation fault
[root@link-12 root]# cat /proc/cluster/nodes
Node  Votes Exp Sts  Name
   1    1    3   M   link-12.lab.msp.redhat.com
   2    1    3   M   link-10.lab.msp.redhat.com
   3    1    3   M   link-11.lab.msp.redhat.com
[root@link-12 root]#

Version-Release number of selected component (if applicable):
cman_tool DEVEL.1089664733 (built Jul 12 2004 15:39:58)
Copyright (C) Red Hat, Inc.  2004  All rights reserved.

How reproducible:
100%

Steps to Reproduce:
1. insmod necessary modules on all
2. start ccsd on all
3. run 'cman_tool join' on all
4. run 'cman_tool kill' on one
  
Actual results:
Segmentation fault, node appears to stay in cluster

Expected results:
Not sure, what is the kill supposed to do?  Something other than the
Actual results.

Additional info:
Comment 1 Christine Caulfield 2004-07-19 06:16:08 EDT
kill needs the ID of the node to be killed. viz:

cman_tool kill -n3

Of course, it shouldn't crash without that, hence

Checking in main.c;
/cvs/cluster/cluster/cman/cman_tool/main.c,v  <--  main.c
new revision: 1.3; previous revision: 1.2
done


I feel a man page coming on....
Comment 2 Corey Marthaler 2004-08-26 15:39:09 EDT
Tested on three node cluster... no longer seg faults.
Comment 3 Kiersten (Kerri) Anderson 2004-11-16 14:07:17 EST
Updating version to the right level in the defects.  Sorry for the storm.

Note You need to log in before you can comment on or make changes to this bug.